﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using DG.Tweening;

public class HeadMovement : MonoBehaviour {
    [SerializeField]
    private bool allowInput;
    [SerializeField]
    private float deviation = 0.2f;
    private Vector3 startPos;

    private WaveController waveController;

    void Awake() {
        waveController = FindObjectOfType<WaveController>();
        startPos = transform.localPosition;

        Move();
    }

    private void Move() {
        var newPos = startPos + new Vector3(Random.Range(-deviation, deviation), Random.Range(-deviation, deviation), Random.Range(-deviation, deviation));
        transform.DOLocalMove(newPos, Random.Range(5f, 10f)).SetEase(Ease.InOutSine).OnComplete(Move);
    }

    void Update() {
        if (allowInput) {
            if (waveController.CurrentPhase == WavePhase.None) {
                //input
            }
        }
    }
}
