﻿using UnityEngine;
using DG.Tweening;

public class SubtleFloatMovement : MonoBehaviour {
    [SerializeField]
    private Transform target;
    [SerializeField]
    private Transform cameraTransform;

    [SerializeField]
    private Vector2 deviationX;
    [SerializeField]
    private Vector2 deviationY;

    [SerializeField]
    private float moveSpeed;

	private void Start () {
        DoMoveX();
        DoMoveY();
	}

    private void DoMoveX() {
        target.DOLocalMoveX(Random.Range(deviationX.x, deviationX.y), Random.Range(1f, 3f)).OnComplete(DoMoveX);
    }

    private void DoMoveY() {
        target.DOLocalMoveY(Random.Range(deviationY.x, deviationY.y), Random.Range(1f, 3f)).OnComplete(DoMoveY);
    }
	
	private void Update () {
        if (cameraTransform.transform.localPosition != target.transform.localPosition) {
            var newPos = Vector3.Lerp(cameraTransform.transform.localPosition, target.transform.localPosition, moveSpeed * Time.deltaTime);
            cameraTransform.transform.localPosition = newPos;
        }
	}
}
