﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TranslatePlayer : MonoBehaviour {
    [SerializeField]
    private Transform spaceship;
    [SerializeField]
    private float moveBackSpeed;
    [SerializeField]
    private float moveDownSpeed;
    [SerializeField]
    private float lookAtSpeed;
    
    void Update() {
        //movement
        transform.position += -(transform.forward * moveBackSpeed * Time.deltaTime);
        transform.position -= Vector3.up * moveDownSpeed * Time.deltaTime;

        //rotation
        Vector3 dir = spaceship.position - transform.position;
        Quaternion rot = Quaternion.LookRotation(dir);
        transform.rotation = Quaternion.Slerp(transform.rotation, rot, lookAtSpeed * Time.deltaTime);
    }
}
