﻿using UnityEngine;
using UnityEngine.UI;

[RequireComponent(typeof(TextMesh))]
public class ValueGenerator : MonoBehaviour {
    public float minValue = 30f;
    public float maxValue = 45f;
    public float minTime = 1f;
    public float maxTime = 10.0f;
    public float lerpSpeed = 1f;
    public int decimals = 1;
    private float targetValue;
    private float currentValue;
    private TextMesh pressureText; 

    void Start () {
        targetValue = currentValue = Random.Range(minValue, maxValue);
        pressureText = GetComponent<TextMesh>();
        RandomValue();
    }
	
    protected void RandomValue() {
        targetValue = Random.Range(minValue, maxValue);
        Invoke("RandomValue", Random.Range(minTime, maxTime));
    }

	// Update is called once per frame
	void Update () {
        currentValue = Mathf.Lerp(currentValue, targetValue, lerpSpeed*Time.deltaTime);
        pressureText.text = currentValue.ToString("f"+decimals);
	}
}
