﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using DG.Tweening;
using UnityEngine.UI;

public class HospitalSceneEvent : MonoBehaviour {
    [SerializeField]
    private Transform cameraTransform;
    [SerializeField]
    private Image whiteImage;
    [SerializeField]
    private Image fadeImage;
    [SerializeField]
    private Image creditsImage;

    private bool complete;

    private void  Start() {
        whiteImage.DOFade(0f, 4f).OnComplete(() => {
            fadeImage.DOFade(1f, 2f).SetDelay(5f);
            creditsImage.DOColor(new Color(1f, 1f, 1f, 1f), 3f).SetDelay(10f).OnComplete(() => {
                complete = true;
            });
        });

        var targetPos = cameraTransform.position - (cameraTransform.forward * 3);
        cameraTransform.DOMove(targetPos, 80f);
    }

    void Update() {
        if (complete) {
            if (Input.anyKey) {
                UnityEngine.SceneManagement.SceneManager.LoadScene(0);
            }
        }
    }
}
