﻿using UnityEngine;

public class StoryController : MonoBehaviour {
    private StoryEvent[] storyPieces;
    private int index;

    private void Awake() {
        storyPieces = GetComponentsInChildren<StoryEvent>();
        BeginStory();
    }

    private void BeginStory() {
        index = 0;
        PlayStoryPiece(index);
    }

    private void PlayStoryPiece(int num) {
        var storyPiece = storyPieces[num];
        PlayStoryPiece(storyPiece);
    }

    private void PlayStoryPiece(StoryEvent storyPiece) {
        storyPiece.OnComplete += OnStoryPieceComplete;
        storyPiece.Play();
    }

    private void OnStoryPieceComplete(StoryEvent storyPiece) {
        storyPiece.OnComplete -= OnStoryPieceComplete;
        index++;

        if (index < storyPieces.Length) {
            PlayStoryPiece(index);
        } else {
            EndStory();
        }
    }

    private void EndStory() {
        UnityEngine.SceneManagement.SceneManager.LoadScene(1);
    }
}
