﻿using DG.Tweening;
using System.Collections;
using UnityEngine;

public class AudioEntryEvent : StoryEvent {
    [SerializeField]
    private AudioEntry[] entries;

    private static AudioController audioController;

    private void Awake() {
        if (audioController == null) {
            audioController = FindObjectOfType<AudioController>();
        }
    }

    public override void Play() {
        StartCoroutine(DoPlayRoutine());
    }

    private IEnumerator DoPlayRoutine() {
        int index = 0;
        while (index < entries.Length) {
            var entry = entries[index];
            audioController.PlayVoice(entry);
            yield return new WaitForSeconds(entry.delay + entry.clip.length);
            index++;
        }

        OnComplete(this);
    }
}
