﻿using UnityEngine;

public class AudioSnapshotEvent : StoryEvent {
    [SerializeField]
    private string snapshotName;

    [SerializeField]
    private float duration;

    private static AudioController audioController;

    private void Awake() {
        if (audioController == null) {
            audioController = FindObjectOfType<AudioController>();
        }
    }

    public override void Play() {
        audioController.TransitionTo(snapshotName, duration);
        OnComplete(this);
    }
}
