﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using XInputDotNetPure;

public class FlareEvent : StoryEvent {
    [SerializeField]
    private GameObject flareObject;

    [SerializeField]
    private AudioClip flareSound;

    [SerializeField]
    private AudioController audioController;

    public override void Play() {
        StartCoroutine(FlareRoutine());
    }

    private IEnumerator FlareRoutine() {
        flareObject.SetActive(true);

        var time = 0f;
        var maxTime = 2f;

        audioController.PlaySFX(flareSound);
        
        while (time < maxTime) {
            time += Time.deltaTime;
            var percentage = time / maxTime;
            flareObject.GetComponent<LensFlare>().brightness = Mathf.Sin(percentage*Mathf.PI/2)*50;
            GamePad.SetVibration(PlayerIndex.One, percentage, percentage);
            yield return null;
        }

        GamePad.SetVibration(PlayerIndex.One, 0f, 0f);


        time = 0f;
        maxTime = 0.5f;

        while (time < maxTime) {
            time += Time.deltaTime;
            var percentage = time / maxTime;
            flareObject.GetComponent<LensFlare>().brightness = 50 * (1 - percentage);
            yield return null;
        }


        flareObject.GetComponent<LensFlare>().brightness = 50;
        flareObject.SetActive(false);

        OnComplete(this);
    }   
}
