﻿using System.Collections;

using System.Collections.Generic;

using UnityEngine;



public class HelmetVitalityEvent : StoryEvent {

    private static BloodPressureDisplay bloodPressureDisplay;

    private static BodyTemperatureDisplay bodyTemperatureDisplay;

    private static OxygenDisplay oxygenDisplay;

    private static HeartbeatDisplay heartbeatDisplay;



    [Header("Blood Pressure")]

    [SerializeField]

    private float maxSys;

    [SerializeField]

    private float maxDia;

    [Header("Body Temperature")]

    [SerializeField]

    private float maxBodyTemperature;

    [Header("Oxygen")]

    [SerializeField]

    private int maxOxygen;

    [Header("Heartbeat")]

    [SerializeField]

    private float maxHeartbeat;



    void Awake() {

        if (bloodPressureDisplay == null) bloodPressureDisplay = FindObjectOfType<BloodPressureDisplay>();

        if (bodyTemperatureDisplay == null) bodyTemperatureDisplay = FindObjectOfType<BodyTemperatureDisplay>();

        if (oxygenDisplay == null) oxygenDisplay = FindObjectOfType<OxygenDisplay>();

        if (heartbeatDisplay == null) heartbeatDisplay = FindObjectOfType<HeartbeatDisplay>();

    }



    public override void Play() {

        bloodPressureDisplay.SetMax(maxSys, maxDia);

        bodyTemperatureDisplay.SetMax(maxBodyTemperature);

        oxygenDisplay.SetMax(maxOxygen);

        heartbeatDisplay.SetMax(maxHeartbeat);

        OnComplete(this);
    }

}