﻿using UnityEngine;
using DG.Tweening;
using Kino;

public class HudDistortionEvent : StoryEvent {
    [SerializeField]
    private float scanLineJitter = 0.225f;
    [SerializeField]
    private float verticalJump = 0.013f;
    [SerializeField]
    private float horizontalShake = 0.22f;
    [SerializeField]
    private float colorDrift = 0.038f;

    public override void Play() {
        AnalogGlitch glitch = FindObjectOfType<AnalogGlitch>();
        glitch.scanLineJitter = scanLineJitter;
        glitch.verticalJump = verticalJump;
        glitch.horizontalShake = horizontalShake;
        glitch.colorDrift = colorDrift;
        OnComplete(this);
    }
}
