﻿using System.Collections;
using UnityEngine;
using UnityEngine.PostProcessing;

public class IntroEvent : VignetteEvent {
    public AudioController audioController;
    public AudioClip gameMusic;
    public GameObject leftLight;
    public GameObject rightLight;
    public GameObject ui;
    public AudioClip uiPowerOn;
    
    public override void Play() {
        StartCoroutine(IEIntro());
    }
    
    private IEnumerator IEIntro() {
        leftLight.SetActive(false);
        rightLight.SetActive(false);
        ui.SetActive(false);

        SetVignetteSettings(new Vector2(0.5f, -0.5f), 1, Color.black);
        StartCoroutine(FadeCamTo(new Vector2(0.5f, 0.5f), 0.15f, 8.0f, Color.black));

        yield return new WaitForSeconds(13.45f);
        
        StartCoroutine(Flicker(leftLight));
        yield return new WaitForSeconds(0.05f);
        StartCoroutine(Flicker(rightLight));
        yield return new WaitForSeconds(1.5f);
        StartCoroutine(Flicker(ui, 7));
        yield return new WaitForSeconds(0.1f);
        audioController.PlaySFX(uiPowerOn);

        while (audioController.musicAudioSource.isPlaying) {
            yield return null;
        }

        audioController.musicAudioSource.clip = gameMusic;
        audioController.musicAudioSource.loop = true;
        audioController.musicAudioSource.Play();

        OnComplete(this);
    }
}
