﻿using DG.Tweening;
using UnityEngine;
using UnityEngine.UI;
public class SineMatchEvent : StoryEvent {
    [SerializeField]
    private Waves.WaveTypeLink waveType;
    [SerializeField]
    private float height;
    [SerializeField]
    private float period;
    [SerializeField]
    private bool showController;

    private WaveController waveController;

    private void Awake() {
        waveController = FindObjectOfType<WaveController>();
    }

    public override void Play() {
        waveController.GenerateGraph(waveType, height, period);
        waveController.onLock += OnWaveLocked;
        waveController.SetPhase(WavePhase.Locking);

        DOVirtual.DelayedCall(2f, () => {
            if (showController) GameObject.Find("onboarding_controllers_start00053").GetComponent<Animator>().SetTrigger("Show");
        });
    }

    private void OnWaveLocked() {
        waveController.onLock -= OnWaveLocked;


        if (showController) GameObject.Find("onboarding_controllers_start00053").GetComponent<SpriteRenderer>().DOColor(new Color(1f, 1f, 1f, 0f), 0.3f);
        OnComplete(this);
    }
}
