﻿using System.Collections;
using UnityEngine;
using UnityEngine.PostProcessing;

public class VignetteEvent : StoryEvent {
    public PostProcessingBehaviour camPostProcess;

    public override void Play() { }

    protected IEnumerator Flicker(GameObject go, int amount=5) {
        for(int i = 0; i < amount; i++) {
            go.SetActive(!go.activeInHierarchy);
            yield return new WaitForSeconds(Random.Range(0.05f, 0.2f));
        }
    }

    protected void SetVignetteSettings(Vector2 center, float intensity, Color color) {
        VignetteModel.Settings vignetteSettings = camPostProcess.profile.vignette.settings;
        vignetteSettings.center = center;
        vignetteSettings.intensity = intensity;
        vignetteSettings.color = color;
        camPostProcess.profile.vignette.settings = vignetteSettings;
    }

    protected IEnumerator FadeCamTo(Vector2 center, float intensity, float duration, Color color) {
        float i = 0;
        float d;
        Vector2 startCenter = camPostProcess.profile.vignette.settings.center;
        float startIntensity = camPostProcess.profile.vignette.settings.intensity;
        Color startColor = camPostProcess.profile.vignette.settings.color;
        while (i < duration) {
            d = Time.deltaTime;
            i += d;
            float ratio = i / duration;
            SetVignetteSettings(Vector2.Lerp(startCenter, center, ratio), Mathf.Lerp(startIntensity, intensity, ratio), Color.Lerp(startColor, color, ratio));
            yield return null;
        }

        SetVignetteSettings(center, intensity, color);
    }
}
