﻿using UnityEngine;
using UnityEngine.UI;
using DG.Tweening;

public class BarSection : MonoBehaviour {
    private Image filled;
    private Image empty;

    void Awake() {
        filled = transform.Find("Filled").GetComponent<Image>();
        empty = transform.Find("Empty").GetComponent<Image>();

        filled.color = new Color(1f, 1f, 1f, 1f);
        empty.color = new Color(1f, 1f, 1f, 0f);
    }

    public void SetActive() {
        DOVirtual.DelayedCall(1.5f, DoFade);
    }

    private void DoFade() {
        filled.DOFade(0.5f, 1f).OnComplete(() => {
            filled.DOFade(1f, 1f).OnComplete( () => {
                DoFade();
            });
        });
    }

    public void Stop() {
        DOTween.Kill(filled);
        filled.DOFade(0f, 0.5f);
        empty.DOFade(1f, 0.5f);
    }
}
