﻿using DG.Tweening;
using System.Collections;
using UnityEngine;
using UnityEngine.UI;

public class BodyTemperatureDisplay : MonoBehaviour {
    private float currentBodyTemp = 98.0f;

    [SerializeField]
    private Text bodyTemp;

    private void Awake() {
        SetDisplay(currentBodyTemp);
        StartCoroutine(FluctuateBodyTemp());
    }

    private IEnumerator FluctuateBodyTemp() {
        while (true) {
            yield return new WaitForSeconds(Random.Range(12f, 40f));

            var value = 0.1f;
            if (Random.value > 0.5f) value = -0.1f;

            currentBodyTemp += value;
            currentBodyTemp = Mathf.Clamp(currentBodyTemp, 97.8f, 101.5f);
            SetDisplay(currentBodyTemp);
        }
    }

    public void SetMax(float maxTemp) {
        DOVirtual.Float(currentBodyTemp, maxTemp, Random.Range(8f, 20f), (value) => {
            currentBodyTemp = value;
            SetDisplay(currentBodyTemp);
        }).SetEase((Ease)Random.Range(0, 34));
    }

    private void SetDisplay(float currentBodyTemp) {
        var text = currentBodyTemp.ToString("F1");
        bodyTemp.text = text + "°F";
    }
}
