﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using DG.Tweening;

public class HeartBeatLineDisplay : MonoBehaviour {
    [SerializeField]
    private RectTransform heartbeat;
    private HeartbeatDisplay heartbeatDisplay;

    private float width;
    private float time;

    private float maxTime {
        get {
            return 1 / (heartbeatDisplay.BPM / 60f);
        }
    }

    void Awake() {
        width = heartbeat.sizeDelta.x;
        heartbeat.anchoredPosition = new Vector2(-width, heartbeat.anchoredPosition.y);
        heartbeatDisplay = FindObjectOfType<HeartbeatDisplay>();

        heartbeat.gameObject.SetActive(false);
    }

    void Update() {
        time += Time.deltaTime;

        if (time >= maxTime) {
            time -= maxTime;

            var newGo = GameObject.Instantiate(heartbeat);
            newGo.gameObject.SetActive(true);
            newGo.anchoredPosition = heartbeat.anchoredPosition;
            newGo.SetParent(heartbeat.parent, false);

            newGo.DOLocalMoveX(407f, 1f).OnComplete(() => {
                Destroy(newGo.gameObject);
            }).SetEase(Ease.Linear);
        }
    }
}
