﻿using DG.Tweening;
using System.Collections;
using UnityEngine;
using UnityEngine.UI;

public class HeartbeatDisplay : MonoBehaviour {
    public float BPM {
        get {
            return currentBPM;
        }
    }

    private float currentBPM = 90f;

    [SerializeField]
    private Text heartbeat;

    private void Awake() {
        SetDisplay(currentBPM);
        StartCoroutine(FluctuateHeartbeat());
    }

    private IEnumerator FluctuateHeartbeat() {
        while (true) {
            yield return new WaitForSeconds(Random.Range(12f, 40f));

            var value = 1f;
            if (Random.value > 0.5f) value = -1f;

            currentBPM += value;
            currentBPM = Mathf.Clamp(currentBPM, 90f, 150f);
            SetDisplay(currentBPM);
        }
    }

    public void SetMax(float maxBPS) {
        DOVirtual.Float(currentBPM, maxBPS, Random.Range(8f, 20f), (value) => {
            currentBPM = value;
            SetDisplay(currentBPM);
        }).SetEase((Ease)Random.Range(0, 34));
    }

    private void SetDisplay(float currentBPS) {
        heartbeat.text = ((int)currentBPS).ToString() + " bpm";
    }
}
