﻿using DG.Tweening;
using System.Collections;
using UnityEngine;
using UnityEngine.UI;

public class OxygenDisplay : MonoBehaviour {
    private int currentOxygen = 100;
    private int maxOxygen = 90;

    [SerializeField]
    private Text oxygen;
    [SerializeField]
    private BarSection[] bars;
    private BarSection activeBar;

    private void Awake() {
        SetDisplay(currentOxygen);
        StartCoroutine(FluctuateOxygen());
    }

    private IEnumerator FluctuateOxygen() {
        while (true) {
            yield return new WaitForSeconds(Random.Range(8, 15f));
            currentOxygen = Mathf.Max(currentOxygen - 3, maxOxygen);
            SetDisplay(currentOxygen);
        }
    }

    public void SetMax(int percentage) {
        maxOxygen = percentage;
    }

    private void SetDisplay(int currentOxygen) {
        oxygen.text = currentOxygen.ToString() + "%";

        float a = 1f / bars.Length;
        float p = (float)currentOxygen / 100f;

        if (p > 1 - a * 1) {
            if (activeBar == null) {
                bars[6].SetActive();
                activeBar = bars[6];
            }
        } else if (p > 1 - a * 2) {
            if (activeBar == bars[6]) {
                activeBar.Stop();
                bars[5].SetActive();
                activeBar = bars[5];
            }
        } else if (p > 1 - a * 3) {
            if (activeBar == bars[5]) {
                activeBar.Stop();
                bars[4].SetActive();
                activeBar = bars[4];
            }
        } else if (p > 1 - a * 4) {
            if (activeBar == bars[4]) {
                activeBar.Stop();
                bars[3].SetActive();
                activeBar = bars[3];
            }
        } else if (p > 1 - a * 5) {
            if (activeBar == bars[3]) {
                activeBar.Stop();
                bars[2].SetActive();
                activeBar = bars[2];
            }
        } else if (p > 1 - a * 6) {
            if (activeBar == bars[2]) {
                activeBar.Stop();
                bars[1].SetActive();
                activeBar = bars[1];
            }
        } else {
            if (activeBar == bars[1]) {
                activeBar.Stop();
                bars[0].SetActive();
                activeBar = bars[0];
            }
        }
    }
}
